@import 'variables';

.help-and-feedback-section {
  background-color: $help-indigo-50;
  border-radius: 0.267rem;
  padding: 1rem;
  margin-top: 2rem;
  color: $help-gray-900;
  font-size: $body-font-size;
  line-height: 1.333rem;

  .right-col {
    @media all and (min-width: $bp-sm) {
      border-left: 0.067 solid $help-gray-100;
    }
  }

  .help-subsection {
    @media all and (max-width: $bp-sm) {
      margin-top: 1rem;
    }
  }

  h2,
  h3 {
    border-bottom: 0;
    margin-bottom: 0;
    margin-top: 0;
    padding-bottom: 0;
  }

  h2[id]::before {
    display: none;
  }

  a {
    text-decoration: underline;
    color: $help-blue-500;
  }

  p {
    margin-bottom: 0;
    color: $help-gray-900;
  }

  .help-icon,
  .toggle-icon {
    fill: $help-indigo-500;
    vertical-align: text-top;
  }

  .help-icon {
    margin-left: 0 !important;
  }

  .toggle-icon {
    float: right;
    transition: 0.35s ease-in-out;
  }

  .help-and-feedback-toggle {
    color: $gds-gray-950;

    &:hover {
      color: $gds-gray-950;
      text-decoration: none;
    }

    &.collapsed .toggle-icon {
      transform: rotate(180deg);
    }
  }

  .help-and-feedback-title {
    font-size: 1.067rem;
    font-weight: 700;
  }

  .help-and-feedback-heading {
    color: $gds-gray-950;
    font-size: $body-font-size;
    font-weight: 700;
    margin-bottom: 0.25rem;
  }

  .help-and-feedback-link {
    color: $help-blue-500;
    text-decoration: underline;
  }

  .support-btn {
    background-color: $gds-white;
    border-color: $help-gray-200;
    color: $help-gray-900;
    font-size: $body-font-size;

    &:hover {
      color: $help-gray-900;
    }
  }
}

.disqus-comments-gitlab {
  iframe {
    padding-left: 1.067rem;
    padding-right: 1.067rem;
    background-color: $white;
    border-radius: 0.333rem;
    box-shadow: 0.133rem 0.133rem 0.467rem $search-border;
    margin-top: 1.667rem;
  }
}
